Haketilo - Feature #98

use IndexedDB for storing structured data
12/01/2021 10:26 AM - koszko

Status: Closed
Priority: High
Assignee:

Category:

Target version:

Start date: 12/01/2021
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

In all WebExtension guides the storage API was presented as the thing to use. | thought all other storage mechanisms are either
unavailable or non-persistent when used from WebExtension. Now, after almost a year of fighting the storage.local, | realized
IndexedDB is also available and will remain so even in ManifestV3. It supports transactions, so no routing of storage writes/reads to

background scripts will be needed :)

The only thing IndexedDB lacks is observability. storage.local might still be useful to notify different contexts of changes in the db. It
would then be used in parallel with IndexedDB and we'd reset it on every browser startup.

History

#1 - 12/01/2021 10:32 AM - koszko

- Description updated

#2 - 12/01/2021 02:08 PM - koszko

- Description updated
#3 - 02/17/2022 03:29 PM - koszko
- % Done changed from 0 to 100

- Status changed from New to Closed
